gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
Preconditions Class
Preconditions Methods
CheckNotNull Method
CheckNotNull(T) Method (T)
CheckNotNull(T) Method (T, String)

Preconditions CheckNotNull T Method (T, String)

Throws ArgumentNullException if reference is null.

Namespace: Grpc.Core.Utils
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static T CheckNotNull<T>(
    	T reference,
    	string paramName
    )

    Public Shared Function CheckNotNull(Of T) (
    	reference As T,
    	paramName As String
    ) As T

    public:
    generic<typename T>
    static T CheckNotNull(
    	T reference,
    	String^ paramName
    )

    static member CheckNotNull :
            reference : 'T *
            paramName : string -> 'T

#### Parameters

reference
  Type: T
  The reference.
paramName
  Type: System
  String
  The parameter name.

#### Type Parameters

T

  [Missing <typeparam name="T"/> documentation for "M:Grpc.Core.Utils.Preconditions.CheckNotNull``1(``0,System.String)"]

#### Return Value

Type: T
See Also

#### Reference

Preconditions Class
CheckNotNull Overload
Grpc.Core.Utils Namespace